import { ValidDate } from '../valid-date';
/**
 * Adds a number of milliseconds to date
 */
export declare function addMilliseconds<T extends ValidDate | Date | null>(date: T, milliseconds: number): T;
/**
 * Adds a number of seconds to date
 */
export declare function addSeconds<T extends ValidDate | Date | null>(date: T, seconds: number): T;
/**
 * Adds a number of minutes to date
 */
export declare function addMinutes<T extends ValidDate | Date | null>(date: T, minutes: number): T;
/**
 * Adds a number of hours to date
 */
export declare function addHours<T extends ValidDate | Date | null>(date: T, hours: number): T;
/**
 * Adds a number of days to date
 */
export declare function addDate<T extends ValidDate | Date | null>(date: T, days: number): T;
/**
 * Adds a number of months to date
 */
export declare function addMonth<T extends ValidDate | Date | null>(date: T, months: number): T;
/**
 * Adds a number of years to date
 */
export declare function addYear<T extends ValidDate | Date | null>(date: T, years: number): T;
